(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	
	$(function() {
	
		if ($('.feed_events_lt').length > 0) {
			$('.feed_events_lt').each(function() {
	    		getEventsFeedContent($(this));
			});
		}

        function getEventsFeedContent($container) {
        	$.post({
                url : "/wp-admin/admin-ajax.php",
                data: { action: "get_events_feed_lt", url: $container.data('url'), num: $container.data('num') },
                datatype: "html",
                success: function (html) {
                	$container.hide();
                	$container.fadeIn(300);
                    $container.html(html);
                },
                error: function (e, xhr, status) {
                    alert('There was a problem processing your request. Please try again later.');
                }
            });
        }
    });

})( jQuery );
